Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice.jdbc
Class SliceStoreManager

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.JDBCStoreManager
          org.apache.openjpa.slice.jdbc.SliceStoreManager

All Implemented Interfaces:
  JDBCStore, StoreManager, Closeable

    public class SliceStoreManager

extends JDBCStoreManager

A specialized JDBCStoreManager for a slice.

Author:
  Pinaki Poddar

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.jdbc.kernel.JDBCStoreManager
`JDBCStoreManager.ClientConnection, JDBCStoreManager.RefCountConnection`

Field Summary

Fields inherited from interface org.apache.openjpa.kernel.StoreManager
`FORCE_LOAD_ALL, FORCE_LOAD_DFG, FORCE_LOAD_NONE, FORCE_LOAD_REFRESH, VERSION_DIFFERENT, VERSION_EARLIER, VERSION_LATER, VERSION_SAME`

Constructor Summary
`SliceStoreManager(Slice slice)` Construct with immutable logical name of the slice.

Method Summary
`String` | `getName()`
`Slice` | `getSlice()` Gets the slice for which this receiver is working.

Methods inherited from class org.apache.openjpa.jdbc.kernel.JDBCStoreManager
`assignField, assignObjectId, beforeStateChange, begin, beginOptimistic, cancelAll, close, commit, compareVersion, connectInternal, copyDataStoreId, executeExtent, exists, find, flush, getClientConnection, getConfiguration, getConnection, getContext, getDataSource, getDataStoreIdSequence, getDataStoreIdType, getDBDictionary, getFetchConfiguration, getLockManager, getManagedType, getNewConnection, getSQLFactory, getType, getValueSequence, getVersion, initialize, initializeState, isCached, isEmptyResult, load, load, loadAll, loadSubclasses, newDataStoreId, newDataStoreId, newFetchConfiguration, newQuery, releaseConnection, retainConnection, rollback, rollbackOptimistic, select, setContext, setContext, setMappedBy, syncVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SliceStoreManager

    public SliceStoreManager(Slice slice)

  Construct with immutable logical name of the slice.

Method Detail

### getSlice

    public Slice getSlice()

  Gets the slice for which this receiver is working.

### getName

    public String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.